Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 831130 - media-video/dvdrip-0.98.11-r5: stabilisation then cleanup (was: media-video/dvdrip uses deprecated EAPI 5)
Summary: media-video/dvdrip-0.98.11-r5: stabilisation then cleanup (was: media-video/d...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2022-01-13 12:18 UTC by Jakov Smolić
Modified: 2022-03-24 07:59 UTC (History)
1 user (show)

See Also:
Package list:
media-video/dvdrip-0.98.11-r5
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jakov Smolić archtester gentoo-dev 2022-01-13 12:18:53 UTC
Please port to newer EAPI.
Comment 1 Larry the Git Cow gentoo-dev 2022-02-28 04:31:29 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=160f5f74c8f3c1f566fda7411fe3086f85a65ef6

commit 160f5f74c8f3c1f566fda7411fe3086f85a65ef6
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-02-28 04:02:19 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-02-28 04:02:19 +0000

    media-video/dvdrip: update EAPI 5 -> 8
    
    Bug: https://bugs.gentoo.org/831130
    Signed-off-by: Sam James <sam@gentoo.org>

 media-video/dvdrip/dvdrip-0.98.11-r5.ebuild        | 86 ++++++++++++++++++++++
 .../dvdrip-0.98.11-r5-fix_parallel_make.patch      | 28 +++++++
 2 files changed, 114 insertions(+)
Comment 2 Jakov Smolić archtester gentoo-dev 2022-03-10 08:41:41 UTC
amd64 done
Comment 3 ernsteiswuerfel archtester 2022-03-21 14:41:16 UTC
Looking good on ppc.

# cat dvdrip-831130.report 
USE tests started on Mo 21. Mär 15:30:32 CET 2022

FEATURES=' test' USE='' succeeded for =media-video/dvdrip-0.98.11-r5
USE='ffmpeg fping mplayer ogg -subtitles -vcd -vorbis -xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping mplayer -ogg -subtitles vcd -vorbis -xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg fping mplayer ogg subtitles -vcd vorbis -xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping -mplayer -ogg subtitles vcd -vorbis xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='ffmpeg fping mplayer -ogg subtitles -vcd vorbis xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping -mplayer ogg subtitles -vcd -vorbis -xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping mplayer -ogg -subtitles vcd -vorbis -xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg fping mplayer -ogg -subtitles vcd -vorbis -xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='ffmpeg fping mplayer ogg -subtitles -vcd vorbis -xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping -mplayer -ogg subtitles -vcd -vorbis xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping mplayer -ogg subtitles -vcd -vorbis xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg fping -mplayer -ogg subtitles vcd vorbis xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-21 21:57:47 UTC
x86 done
Comment 5 ernsteiswuerfel archtester 2022-03-23 22:11:43 UTC
Looking good on ppc64.

 # cat dvdrip-831130.report 
USE tests started on Mi 23. Mär 22:44:27 CET 2022

FEATURES=' test' USE='' succeeded for =media-video/dvdrip-0.98.11-r5
USE='ffmpeg -fping mplayer ogg -subtitles -vcd vorbis -xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping -mplayer -ogg -subtitles vcd vorbis -xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='ffmpeg fping mplayer ogg subtitles vcd vorbis -xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg fping -mplayer -ogg subtitles -vcd -vorbis xine -xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping -mplayer -ogg -subtitles vcd -vorbis -xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg fping -mplayer ogg subtitles vcd -vorbis -xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='ffmpeg fping mplayer ogg -subtitles -vcd vorbis -xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='ffmpeg -fping -mplayer ogg -subtitles -vcd -vorbis xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping -mplayer ogg subtitles -vcd -vorbis xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg fping -mplayer -ogg -subtitles vcd -vorbis xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='-ffmpeg -fping mplayer -ogg -subtitles vcd -vorbis xine xvid' succeeded for =media-video/dvdrip-0.98.11-r5
USE='ffmpeg fping -mplayer ogg -subtitles -vcd vorbis xine xvid' succeeded for =media-video/dvdrip-0.98.11-r
Comment 6 Jakov Smolić archtester gentoo-dev 2022-03-24 07:53:44 UTC
(In reply to ernsteiswuerfel from comment #5)
> Looking good on ppc64.
> 
>  # cat dvdrip-831130.report 
> USE tests started on Mi 23. Mär 22:44:27 CET 2022
> 
> FEATURES=' test' USE='' succeeded for =media-video/dvdrip-0.98.11-r5
> USE='ffmpeg -fping mplayer ogg -subtitles -vcd vorbis -xine -xvid' succeeded
> for =media-video/dvdrip-0.98.11-r5
> USE='-ffmpeg -fping -mplayer -ogg -subtitles vcd vorbis -xine -xvid'
> succeeded for =media-video/dvdrip-0.98.11-r5
> USE='ffmpeg fping mplayer ogg subtitles vcd vorbis -xine -xvid' succeeded
> for =media-video/dvdrip-0.98.11-r5
> USE='-ffmpeg fping -mplayer -ogg subtitles -vcd -vorbis xine -xvid'
> succeeded for =media-video/dvdrip-0.98.11-r5
> USE='-ffmpeg -fping -mplayer -ogg -subtitles vcd -vorbis -xine xvid'
> succeeded for =media-video/dvdrip-0.98.11-r5
> USE='-ffmpeg fping -mplayer ogg subtitles vcd -vorbis -xine xvid' succeeded
> for =media-video/dvdrip-0.98.11-r5
> USE='ffmpeg fping mplayer ogg -subtitles -vcd vorbis -xine xvid' succeeded
> for =media-video/dvdrip-0.98.11-r5
> USE='ffmpeg -fping -mplayer ogg -subtitles -vcd -vorbis xine xvid' succeeded
> for =media-video/dvdrip-0.98.11-r5
> USE='-ffmpeg -fping -mplayer ogg subtitles -vcd -vorbis xine xvid' succeeded
> for =media-video/dvdrip-0.98.11-r5
> USE='-ffmpeg fping -mplayer -ogg -subtitles vcd -vorbis xine xvid' succeeded
> for =media-video/dvdrip-0.98.11-r5
> USE='-ffmpeg -fping mplayer -ogg -subtitles vcd -vorbis xine xvid' succeeded
> for =media-video/dvdrip-0.98.11-r5
> USE='ffmpeg fping -mplayer ogg -subtitles -vcd vorbis xine xvid' succeeded
> for =media-video/dvdrip-0.98.11-r

Thank you!
Comment 7 Larry the Git Cow gentoo-dev 2022-03-24 07:57:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ae09f5113925a2b36526f1d9a854a922cb1d954

commit 3ae09f5113925a2b36526f1d9a854a922cb1d954
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-03-24 07:55:34 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-03-24 07:57:03 +0000

    media-video/dvdrip: stabilize 0.98.11-r5 for ppc64
    
    Thanks-to: ernsteiswuerfel <erhard_f@mailbox.org>
    
    Closes: https://bugs.gentoo.org/831130
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 media-video/dvdrip/dvdrip-0.98.11-r5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11ff561357d92e4ac5b61434a24dd8db537a2e2c

commit 11ff561357d92e4ac5b61434a24dd8db537a2e2c
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-03-24 07:54:46 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-03-24 07:57:02 +0000

    media-video/dvdrip: stabilize 0.98.11-r5 for ppc
    
    Thanks-to: ernsteiswuerfel <erhard_f@mailbox.org>
    
    Bug: https://bugs.gentoo.org/831130
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 media-video/dvdrip/dvdrip-0.98.11-r5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Larry the Git Cow gentoo-dev 2022-03-24 07:59:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1004b00783a831797724d54455b3eefe1f530d72

commit 1004b00783a831797724d54455b3eefe1f530d72
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-03-24 07:58:15 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-03-24 07:58:46 +0000

    media-video/dvdrip: drop 0.98.11-r4 (EAPI 5--)
    
    Bug: https://bugs.gentoo.org/831130
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 media-video/dvdrip/dvdrip-0.98.11-r4.ebuild | 74 -----------------------------
 1 file changed, 74 deletions(-)